<?php
// ещедневный крон
// в функицю show присываем все необходимые операции
include(_DIR_TO_MODULES.'/engine/i_backgroup_process.php') ;
class c_services_crontab_exec extends i_backgroup_process_exec
{
  function exec()
  {
      FILE_LOG()->append('crontab_exec: start') ;
      $rec_cron=execSQL_van('select * from obj_site_crontab where pkey='.$this->setting['id']) ;
       if ($rec_cron['pkey'])
       { FILE_LOG()->append('Выполняем задание: '.$rec_cron['obj_name'].' ['.$rec_cron['cmd'].']',1) ;
         $arr=explode('/',$rec_cron['cmd']) ;
         if (_sizeof($arr)==2)
           {   if (is_object($arr[0]()))
               { if (method_exists($arr[0](),$arr[1]))
                 {   execSQL_update('update obj_site_crontab set last_exec='.time().',last_exec_end=0,time_exec=0,status=1 where pkey='.$rec_cron['pkey']) ;
                     $t1=fixed_time() ;
                     $func_name=$arr[0] ;
                     $method_name=$arr[1] ;
    	             if ($func_name and $method_name) $result=$func_name()->$method_name() ;
                     $t2=fixed_time($t1) ;
                     execSQL_update('update obj_site_crontab set last_exec_end='.time().',time_exec="'.$t2.'",status=0 where pkey='.$rec_cron['pkey']) ;
                     if ($result!=null and is_array($result)) damp_array($result,1,-1) ;
                 }
                 else echo '<div class="alert">В модуле <strong>'.$arr[0].'</strong> не найден метод <strong>'.$arr[1].'</strong></div>' ;
               }
               else echo '<div class="alert">Не найден модуль <strong>'.$arr[0].'</strong> с методом <strong>'.$arr[1].'</strong></div>' ;
           }

       }


  }


}
?>
